package utility;

import java.sql.Date;

public class IdcSetNextDate
{
	public static String setNext(Date date, Date origin)
	{
		int[] mon = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
		int y=0,m=0,d=0;
		String result = "";
		String[] sDate = date.toString().split("-");
		System.out.println("결과 : "+sDate[0] +" " + sDate[1] +" " + sDate[2]);
		
		String[] sOrigin = origin.toString().split("-");
		System.out.println("결과 : "+sOrigin[0] +" " + sOrigin[1] +" " + sOrigin[2]);
		
//		연도
		y=Integer.parseInt(sDate[0]);
//		월
		m=Integer.parseInt(sDate[1]);
//		일
		d=Integer.parseInt(sOrigin[2]);
		
		//12월일경우 연도수를 증가시켜준다.
		if(m==12) 
		{
			y++;
			m=0;
		}
		
		//해당월의 마지막날이 결제일보다 작을경우 그달의 마지막날을 넣어준다.
		if(d>=mon[m])
		{
			d= mon[m];
		}
		
		result = y + "-" + (m+1) + "-" + d; 
		System.out.println("결과: " + result);
		return result;
	}
}











